- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# ForLoopNode Class Reference
[Data classes]

`#include <nedelements.h>`

Inheritance diagram for ForLoopNode:

List of all members.

## Detailed Description

GENERATED CLASS.

Represents the <for-loop> XML element in memory. DTD declaration:

     <!ELEMENT for-loop (loop-var+,connection*)>
     <!ATTLIST for-loop
          banner-comment      CDATA     IMPLIED
          right-comment       CDATA     "&#10;"
          trailing-comment    CDATA     "&#10;" >

## Public Member Functions
Constructors, destructor
| ForLoopNode ()
| ForLoopNode (NEDElement *parent)
virtual | ~ForLoopNode ()
Redefined NEDElement methods, incl. generic access to attributes
virtual const char * | getTagName () const
virtual int | getTagCode () const
virtual int | getNumAttributes () const
virtual const char * | getAttributeName (int k) const
virtual const char * | getAttribute (int k) const
virtual void | setAttribute (int k, const char *val)
virtual const char * | getAttributeDefault (int k) const
Typed access to attributes, children and siblings
const char * | getBannerComment () const
void | setBannerComment (const char *val)
const char * | getRightComment () const
void | setRightComment (const char *val)
const char * | getTrailingComment () const
void | setTrailingComment (const char *val)
virtual ForLoopNode * | getNextForLoopNodeSibling () const
virtual LoopVarNode * | getFirstLoopVarChild () const
virtual ConnectionNode * | getFirstConnectionChild () const

## Constructor & Destructor Documentation

ForLoopNode::ForLoopNode | ( |  | ) | `[inline]`

ForLoopNode::ForLoopNode | ( | NEDElement * | parent | ) | `[inline]`

virtual ForLoopNode::~ForLoopNode | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual const char* ForLoopNode::getAttribute | ( | int | k | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the value of the kth attribute (i.e. the attribute with the name getAttributeName(k)). It should return NULL if k is out of range (i.e. negative or greater than getNumAttributes()). Implements NEDElement.

virtual const char* ForLoopNode::getAttributeDefault | ( | int | k | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the default value of the kth attribute, as defined in the DTD. It should return NULL if k is out of range (i.e. negative or greater than getNumAttributes()). Implements NEDElement.

virtual const char* ForLoopNode::getAttributeName | ( | int | k | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the name of the kth attribute as defined in the DTD. It should return NULL if k is out of range (i.e. negative or greater than getNumAttributes()). Implements NEDElement.

const char* ForLoopNode::getBannerComment | ( |  | ) | const`[inline]`

virtual ConnectionNode* ForLoopNode::getFirstConnectionChild | ( |  | ) | const`[virtual]`

virtual LoopVarNode* ForLoopNode::getFirstLoopVarChild | ( |  | ) | const`[virtual]`

virtual ForLoopNode* ForLoopNode::getNextForLoopNodeSibling | ( |  | ) | const`[virtual]`

virtual int ForLoopNode::getNumAttributes | ( |  | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the number of attributes defined in the DTD. Implements NEDElement.

const char* ForLoopNode::getRightComment | ( |  | ) | const`[inline]`

virtual int ForLoopNode::getTagCode | ( |  | ) | const`[inline, virtual]`

| Overridden in subclasses to return the numeric code (NED_xxx) of the XML element the class represents. Implements NEDElement.

virtual const char* ForLoopNode::getTagName | ( |  | ) | const`[inline, virtual]`

| Overridden in subclasses to return the name of the XML element the class represents. Implements NEDElement.

const char* ForLoopNode::getTrailingComment | ( |  | ) | const`[inline]`

virtual void ForLoopNode::setAttribute | ( | int | k,
|  | const char * | val
| ) | `[virtual]`

| Pure virtual method, it should be redefined in subclasses to set the value of the kth attribute (i.e. the attribute with the name getAttributeName(k)). If k is out of range (i.e. negative or greater than getNumAttributes()), the call should be ignored. Implements NEDElement.

void ForLoopNode::setBannerComment | ( | const char * | val | ) | `[inline]`

void ForLoopNode::setRightComment | ( | const char * | val | ) | `[inline]`

void ForLoopNode::setTrailingComment | ( | const char * | val | ) | `[inline]`

The documentation for this class was generated from the following file:

- nedelements.h